Package org.jfree.report.modules.factories.data.beans

## Class StaticDataFactoryModule

- java.lang.Object
- - org.pentaho.reporting.libraries.base.boot.DefaultModuleInfo
  - - org.pentaho.reporting.libraries.base.boot.AbstractModule
    - - org.jfree.report.modules.factories.data.beans.StaticDataFactoryModule

- All Implemented Interfaces:
    `org.pentaho.reporting.libraries.base.boot.Module`, `org.pentaho.reporting.libraries.base.boot.ModuleInfo`

      public class StaticDataFactoryModule
      extends org.pentaho.reporting.libraries.base.boot.AbstractModule

  Creation-Date: 07.04.2006, 17:44:46
  Author:
    Thomas Morgner

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `NAMESPACE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StaticDataFactoryModule()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `initialize​(org.pentaho.reporting.libraries.base.boot.SubSystem subSystem)` | Initializes the module.

    - ### Methods inherited from class org.pentaho.reporting.libraries.base.boot.AbstractModule

      `configure, getDescription, getName, getOptionalModules, getProducer, getRequiredModules, getSubSystem, isClassLoadable, loadModuleInfo, loadModuleInfo, performExternalInitialize, performExternalInitialize, setDescription, setName, setOptionalModules, setProducer, setRequiredModules, setSubSystem, toString`

    - ### Methods inherited from class org.pentaho.reporting.libraries.base.boot.DefaultModuleInfo

      `equals, getMajorVersion, getMinorVersion, getModuleClass, getPatchLevel, hashCode, setMajorVersion, setMinorVersion, setModuleClass, setPatchLevel`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.pentaho.reporting.libraries.base.boot.ModuleInfo

      `getMajorVersion, getMinorVersion, getModuleClass, getPatchLevel`

- - ### Field Detail

    - #### NAMESPACE

          public static final java.lang.String NAMESPACE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StaticDataFactoryModule

          public StaticDataFactoryModule()
                                  throws org.pentaho.reporting.libraries.base.boot.ModuleInitializeException

      Throws:
        `org.pentaho.reporting.libraries.base.boot.ModuleInitializeException`

  - ### Method Detail

    - #### initialize

          public void initialize​(org.pentaho.reporting.libraries.base.boot.SubSystem subSystem)
                          throws org.pentaho.reporting.libraries.base.boot.ModuleInitializeException

      Initializes the module. Use this method to perform all initial setup operations. This method is called only once in a modules lifetime. If the initializing cannot be completed, throw a ModuleInitializeException to indicate the error,. The module will not be available to the system.
      Parameters:
        `subSystem` - the subSystem.
      Throws:
        `org.pentaho.reporting.libraries.base.boot.ModuleInitializeException` - if an error ocurred while initializing the module.